/*-- ajuste de página---*/
html,
body {
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
}

main {
    flex: 1;
}



/* Contenedor general */
.promotional-banner {
    margin-top: 40px;
}

/* Card */
.promotional-banner-item {
    border-radius: 20px;
    padding: 40px 25px;
    min-height: 220px;
    display: flex;
    align-items: center;
    position: relative;
    overflow: hidden;
    background: #f5f7fa;
    transition: all 0.3s ease;
}

/* Hover efecto */
.promotional-banner-item:hover {
    transform: translateY(-5px);
    box-shadow: 0 15px 40px rgba(0, 0, 0, 0.1);
}

/* Imagen de fondo */
.promotional-banner-item img {
    position: absolute;
    top: 0;
    right: 0;
    width: 55%;
    height: 100%;
    object-fit: cover;
    opacity: 0.95;
}

/* Contenido */
.promotional-banner-item__content {
    position: relative;
    z-index: 2;
    max-width: 60%;
}

/* Título */
.promotional-banner-item__title {
    font-size: 16px;
    font-weight: 600;
    color: #1c1c1c;
    margin-bottom: 10px;
    background-color: rgba(255, 255, 255, 0.8) !important;
    padding: 5px;
    border-radius: 10px;

}

/* Precio */
.promotional-banner-item .text-danger-600 {
    color: #660000;
    font-weight: bold;
}

/* Botón */
.btn-main {
    background: #A21900;
    color: #fff;
    padding: 8px 18px;
    font-size: 14px;
    border-radius: 50px;
    text-decoration: none;
    transition: all 0.3s ease;
}

.btn-main:hover {
    background: #6d1717;
    color: #fff;
}

/* Texto pequeño */
.text-heading {
    color: #A21900;
}

/* Responsive */
@media (max-width: 768px) {
    .promotional-banner-item {
        flex-direction: column;
        text-align: center;
    }

    .promotional-banner-item__content {
        max-width: 100%;
    }

    .promotional-banner-item img {
        width: 80%;
        position: relative;
        margin-top: 15px;
    }
}


/* CARD */
.product-card {
    background: #fff;
    border-radius: 16px;
    transition: all 0.3s ease;
    overflow: hidden;
}

/* HOVER */
.product-card:hover {
    transform: translateY(-6px);
    box-shadow: 0 15px 35px rgba(0, 0, 0, 0.1);
}

/* IMAGEN */
.product-card__thumb {
    height: 180px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.product-card__thumb img {
    max-height: 140px;
    transition: 0.3s;
}

.product-card:hover img {
    transform: scale(1.05);
}

/* BOTÓN CARRITO */
.product-card__cart {
    font-size: 14px;
    border-radius: 50px;
    transition: 0.3s;
}

.product-card__cart:hover {
    background: #FF0000;
    color: #fff;
}

/*BOTON DETALLES INDEX */
.product-card__cart2 {
    font-size: 14px;
    border-radius: 50px;
    transition: 0.3s;
}

.product-card__cart2:hover {
    background: #000;
    color: #fff;
}

/* BADGE */
.product-card__badge {
    position: absolute;
    top: 10px;
    left: 10px;
    font-size: 12px;
    border-radius: 6px;
}

/* WISHLIST */
.wishlist-btn-two {
    position: absolute;
    top: 10px;
    right: 10px;
    background: #fff;
    border: none;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
    transition: 0.3s;
}

.wishlist-btn-two:hover {
    color: red;
}

/* TEXTO */
.product-card .title a {
    color: #222;
    text-decoration: none;
}

.product-card .title a:hover {
    color: #FF0000;
}

.section-gris {
    background: #f5f5f5;
    padding: 30px 0;
}

/*------------- carrousel de imagenes ----------------*/
/* Contenedor scroll */
.brands-wrapper {
    display: flex;
    gap: 25px;
    overflow-x: auto;
    scroll-behavior: smooth;
    padding-bottom: 10px;
}

/* Quitar scrollbar feo */
.brands-wrapper::-webkit-scrollbar {
    display: none;
}

/* Item */
.brand-item {
    min-width: 120px;
    height: 120px;
    background: #fff;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.05);
    transition: 0.3s;
    flex-shrink: 0;
}

/* Imagen */
.brand-item img {
    max-width: 70%;
    max-height: 70%;
}

/* Hover */
.brand-item:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.1);
}


/*------------------ animar elementos ----------------------*/
/* Estado inicial (oculto) */
.animate-up {
    opacity: 0;
    transform: translateY(40px);
    transition: all 0.6s ease;
}

/* Cuando entra en pantalla */
.animate-up.show {
    opacity: 1;
    transform: translateY(0);
}

.animate-up.delay-1 {
    transition-delay: 0.1s;
}

.animate-up.delay-2 {
    transition-delay: 0.2s;
}

.animate-up.delay-3 {
    transition-delay: 0.3s;
}

/*-----------cards-----------------------------*/
.card-custom {
    border: none;
    padding: 35px 30px;
    border-radius: 12px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.05);
    transition: 0.3s ease;
    background: #fff;
}

.card-custom:hover {
    transform: translateY(-4px);
    box-shadow: 0 6px 18px rgba(0, 0, 0, 0.1);
}

.icon-star {
    font-size: 28px;
    color: #b5b5b5;
    margin-bottom: 15px;
    display: inline-block;
}

.card-title {
    font-weight: 700;
    font-size: 1.5rem;
    color: #0d2b59;
}

.card-text {
    font-size: 1rem;
    color: #444;
    line-height: 1.6;
}

/*-----------------------------------------*/
.justificar {
    text-align: justify !important;
}

/*---------------fondos de imagenes-----------------*/
.fon-nosotros {
    background-image: url('../img/page/nosotros.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    min-height: 350px;
    /* altura real */
    position: relative;
}

/* Overlay oscuro para que el texto se vea*/
.fon-nosotros::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.6);
}

/* Asegura que el contenido quede encima */
.fon-nosotros .container {
    position: relative;
    z-index: 2;
}

/*----------------------------------------*/
/*---------------fondos de imagenes-----------------*/
.fon-contacto {
    background-image: url('../img/page/contacto.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    min-height: 350px;
    /* altura real */
    position: relative;
}

/* Overlay oscuro para que el texto se vea*/
.fon-contacto::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.6);
}

/* Asegura que el contenido quede encima */
.fon-contacto .container {
    position: relative;
    z-index: 2;
}


/*------------ fuentes ------------------*/
.fs-8 {
    font-size: 0.8em;
}

.fs-9 {
    font-size: 0.9em;
}

.fs-10 {
    font-size: 1em;
}

.fs-11 {
    font-size: 1.1em;
}

.fs-12 {
    font-size: 1.2em;
}

.fs-13 {
    font-size: 1.3em;
}

.fs-14 {
    font-size: 1.4em;
}

.Poppins {
    font-family: 'Poppins', sans-serif;
}

/*----------------------------*/
.container-custom {
    padding-left: 15px;
    padding-right: 15px;
}

@media (min-width: 768px) {
    .container-custom {
        padding-left: 120px;
        padding-right: 120px;
    }
}

/*----------------------------*/
.cam-negro {
    color: white;
    transition: color 0.3s ease;
}

.cam-negro:hover {
    color: #000 !important;
}

/*-----------------------------*/
.contact-card {
    background: #f8f5f5;
    border-radius: 15px;
    padding: 25px;
    border: 1px solid #ebe5e5;
}

.contact-title {
    font-weight: 700;
    color: #0f172a;
}

.contact-input {
    border-radius: 10px;
    border: 1px solid #e5e7eb;
    padding: 10px;
}

.contact-input:focus {
    border-color: #f63b3b;
    box-shadow: none;
}

.btn-modern {
    background: #db3b3b;
    border: none;
    border-radius: 10px;
    padding: 10px 20px;
}

.btn-modern:hover {
    background: #c42f2f;
}

.btn-dark-modern {
    background: #2a0f0f;
    border-radius: 10px;
    color: white;
}

.btn-dark-modern:hover {
    background: #3b1e1e;
}

.info-box {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 12px;
}

.icon-circle {
    width: 35px;
    height: 35px;
    background: #ffe0e0;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.map-container iframe {
    border-radius: 12px;
    width: 100%;
    height: 250px;
    border: 0;
}

.feature-box {
    background: #fce6e6;
    border-radius: 15px;
    padding: 20px;
    text-align: center;
}

link-blue {
    color: aqua;
    text-decoration: none;
}

link-blue:hover {
    color: chocolate;
    /* Cambia a verde al pasar el mouse */
    text-decoration: underline;
    /* Opcional: subraya al pasar */
}

.footer-link {
    transition: all 0.3s ease;
}

.footer-link:hover {
    color: red !important;
    padding-left: 5px;
}


/*-------------------detralle de producto-----------*/
.product-image-box {
    background: #f8f9fc;
    border-radius: 15px;
    padding: 40px;
    text-align: center;
}


.offer-box {
    background: #eef2f7;
    padding: 10px;
    border-radius: 10px;
    font-size: 14px;
}

.qty-box {
    display: flex;
    align-items: stretch;
    /*  clave */
    border: 1px solid #ddd;
    border-radius: 25px;
    overflow: hidden;
    height: 40px;
}

.qty-box button {
    width: 100%;
    border: none;
    background: #f1f1f1;
    cursor: pointer;
}

.qty-box input {
    width: 50px;
    border: none;
    text-align: center;
}

.qty-box input:focus {
    outline: none;
}

/*-----------------seccion productos ---------------------*/
.product-card {
    border: 1px solid #ebe5e5;
    border-radius: 15px;
    background: #fff;
    transition: all 0.3s ease;
    overflow: hidden;
}

.product-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.1);
}

.product-img {
    background: #f6f3f3;
    padding: 20px;
    text-align: center;
    position: relative;
}

.product-title {
    /* font-size: 14px; */
    font-weight: 700;
    min-height: 40px;
    color: #0f172a;
}

.product-card button {
    border-radius: 10px;
}

/*---card de catacteristicas de la tienda */
.con_c {
    overflow: hidden;
    transition: all 0.3s ease;
    border-radius: 12px;
}

.con_c:hover {
    transform: scale(1.05) translateY(-5px);
    box-shadow: 0 15px 30px rgba(0, 0, 0, 0.15);
}


/*----------------------------------------*/
.color-dot {
    display: inline-block;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    /* 🔥 esto lo hace círculo */
    border: 1px solid #ccc;
}

/*----------------------------------------*/
.img-zoom-container {
    overflow: hidden;
    /* evita que se salga la imagen */
    border-radius: 12px;
}

.img-zoom-container {
    overflow: hidden;
    border-radius: 12px;
    cursor: zoom-in;
}

.img-zoom-container img {
    width: 100%;
    transition: transform 0.2s ease;
}

/*--------------------------------------------*/
.price {
    color: #af051f;
    font-weight: bold;
    font-size: 1.2rem;
    transition: transform 0.2s;
}

.product-card:hover .price {
    transform: scale(1.05);
}

/*---------------------sub menu de productos--------------*/
/* Permitir submenu */
.dropdown-submenu {
    position: relative;
}

/* Submenu oculto a la derecha */
.dropdown-submenu .dropdown-menu {
    top: 0;
    left: 100%;
    margin-top: -1px;
    display: none;
}

/* Mostrar al pasar mouse */
.dropdown-submenu:hover .dropdown-menu {
    display: block;
}

.dropdown-submenu>a {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.dropdown-submenu i {
    font-size: 12px;
    color: #888;
    transition: transform 0.2s ease;
}

.dropdown-submenu:hover i {
    transform: translateX(3px);
    color: #000;
}

@media (max-width: 991px) {

    .dropdown-submenu .dropdown-menu {
        position: relative;
        left: 0;
        top: 0;
        margin-left: 15px;
        display: none;
    }
}

/* cambiar fehca al abrir */
.dropdown-submenu.open>a i {
    transform: rotate(90deg);
}

.logo-header {
    width: 120px;
    height: auto;
}

@media (max-width: 768px) {

    .logo-header {
        width: 80px;
    }

}

.no-decora{
    text-decoration: none;
}

/*-------------------------------------*/
.parpadea {
    animation-name: parpadeo;
    animation-duration: 1s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    -webkit-animation-name: parpadeo;
    -webkit-animation-duration: 1s;
    -webkit-animation-timing-function: linear;
    -webkit-animation-iteration-count: infinite;
}

@-moz-keyframes parpadeo {
    0% {
        opacity: 1.0;
    }

    50% {
        opacity: 0.0;
    }

    100% {
        opacity: 1.0;
    }
}

@-webkit-keyframes parpadeo {
    0% {
        opacity: 1.0;
    }

    50% {
        opacity: 0.0;
    }

    100% {
        opacity: 1.0;
    }
}

@keyframes parpadeo {
    0% {
        opacity: 1.0;
    }

    50% {
        opacity: 0.0;
    }

    100% {
        opacity: 1.0;
    }
}

/*-----------imagenes de productos--------------*/
/* .ajusta-imgs{
    width:100% !important;
    aspect-ratio:1/1 !important;
    object-fit:cover !important;
} */

/*---------------------*/
.bg-edita{
    background-color: #f7e7cf;
}